Tilføjelser som skaber stabilitets- og sikkerhedsproblemer sættes på en blokeringsliste | Fejlfinding

Tilføjelser som skaber stabilitets- og sikkerhedsproblemer sættes på en blokeringsliste

Fra og med Firefox version 57 er det kun tilføjelser, der er lavet med WebExtensions API'er, der vil virke i Firefox. Hvis du ikke ved, om dine tilføjelser berøres, så læs artiklerne Teknologien bag tilføjelser i Firefox moderniseres og ofte stillede spørgsmål for mere information.

Blokering er en sidste udvej for at beskytte Firefox-brugere mod tilføjelser (udvidelser, temaer og plugins), som overtræder Mozillas retningslinjer for tilføjelser.

Hvordan virker blokeringslisten?

Når Firefox har udstedt en blokering, vil den pågældende tilføjelse ikke blive indlæst. Blokeringer kan udstedes på forskellige niveauer afhængigt af alvorligheden af de fundne problemer.

  • Bløde blokeringer deaktiverer en udvidelse som standard, men lader dig tilsidesætte blokeringen og fortsætte med at benytte tilføjelsen. Bløde blokeringer bruges til tilføjelser, der ikke er ondsindede.
  • Hårde blokeringer deaktiverer en tilføjelse og tillader ikke, at du aktiverer den eller tilsidesætter blokeringen. Hårde blokeringer bruges, når tilføjelser viser sig at være ondsindede.
  • Klik-for-at-aktivere-blokeringer deaktiverer et plugin som standard, men lader dig aktivere plugin'et på bestemte websteder. Denne type blokering udstedes til plugins, der ikke er ondsindede.

Hvordan kan jeg vide, om en tilføjelse er blokeret?

Firefox vil vise dig følgende meddelelse:

Firefox har fastlagt at følgende tilføjelser er kendt for at være kilde til stabilitets- eller sikkerhedsproblemer


Add-ons Blocklist Mac1

Klik på knappen Genstart Firefox for at forhindre disse tilføjelser i at køre.

Hvis der er udstedt en hård blokering af tilføjelsen, vil du ikke være i stand til at tilsidesætte blokeringen.

Kan jeg installere en tilføjelse efter den er blevet blokeret?

Når et tilføjelse er kommet på blokeringslisten, vil den ikke længere være tilgængelig på addons.mozilla.org, før udvikleren uploader en ny version, der adresserer årsagen til blokeringen.

Derudover vil Firefox forhindre dig i at installere en usikker tilføjelse, der er på blokeringslisten, og vise dig følgende meddelelse:

navn kunne ikke installeres, fordi der er høj risiko for, at den forårsager stabilitets- eller sikkerhedsproblemer.

Hvis du blev forhindret i at installere et tilføjelse, så kontroller, om der findes en opdateret version af tilføjelsen. Vær opmærksom på, at nogle blokeringer kan være permanente, og det kan være nødvendigt at finde en alternativ tilføjelse.

Plugins køres ikke automatisk

Firefox kan forhindre et plugin i at køre automatisk (hvilket kan forhindre mange problemer). Når Firefox blokerer et plugin, vil du få vist en meddelelse i stil med denne:

Click to play 1 new

Du kan så vælge at køre plugin'et eller opdatere det (hvis der findes en opdatering). Læs mere i artiklen Hvorfor skal jeg klikke for at aktivere plugins?

Understøttelse af alle NPAPI-plugins undtagen Adobe Flash stoppede i Firefox version 52. Læs dette dokument og denne artikel for detaljer.

Hvad skal jeg gøre, hvis jeg ser en meddelelse om blokering

Hvis den installerede tilføjelse er deaktiveret

Acceptér meddelelsen og genstart Firefox. Hvis du vælger at tilsidesætte en blød blokering, gør du det på din egen risiko.

Plugins

Kontrollér om der findes en opdateret version af dit plugin. Hvis der ikke findes en opdatering, skal du måske kontakte udvikleren af det blokerede plugin.

Kan blokeringer ophæves?

Afhængig af overtrædelsens alvorlighed, udviklerens historik og andre relevante faktorer kan nogle blokeringer ophæves, når udvikleren uploader en ny godkendt version. Den nye version af tilføjelsen vil så blive tilgængelig på addons.mozilla.org. Når du har fået installeret den nye version, vil du atter kunne bruge tilføjelsen.

Sådan sikrer du dig, at du altid bruger den seneste version af en tilføjelse (udvidelse eller tema):
  1. Klik på menuknappen Fx57menu , klik på Fx57Addons-icon Tilføjelser, og klik så på Udvidelser.
  2. Klik på ikonet for indstillinger Add-on Tools Icon , og kontrollér at Opdater tilføjelser automatisk er valgt.

Hvilke usikre tilføjelser er på blokeringslisten?

Se listen med blokerede tilføjelser.

Hjalp denne artikel?

Vent venligst...

// Disse udmærkede personer hjalp med at skrive denne artikel:Joergen, Kim Ludvigsen, scootergrisen. Du kan også hjælpe - find ud af hvordan.

Seneste opdatering: 2019-10-12

Få support til en anden platform:
Tilpas denne artikel

Firefox